Subject: bug#68850: emacs: rgrep does not work over tramp

From: Tomas Volf <[email-masked]>
Date: Wed, 31 Jan 2024 14:08:17 +0100

Hello,

when I try to execute rgrep over a tramp connection, I get the following error:

/bin/sh: /gnu/store/sk8rxsrj3drr4arypicnhy899vgn3prr-findutils-4.9.0/bin/find: not found

That is somewhat expected, since the remote machine is not a Guix one, but even
if it were, it would require to have the find in exact same store path.

I understand the advantages of baking in the path to find into the
configuration, but I wonder whether the trade-off is worth if for this
particular case.  Setting it to just `find' seems to work fine, both locally and
remotely (at the cost of a minuscule hit to reproducibility).

Have a nice day,
Tomas Volf

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.